Bug 174918 - star vfs and xattr feature request
star vfs and xattr feature request
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-03 22:50 EST by Curtis Doty
Modified: 2013-07-02 19:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-06 04:52:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adds basic read-only star filesystem support (1.37 KB, patch)
2005-12-03 22:50 EST, Curtis Doty
no flags Details | Diff

  None (edit)
Description Curtis Doty 2005-12-03 22:50:17 EST
Created attachment 121813 [details]
adds basic read-only star filesystem support
Comment 1 Curtis Doty 2005-12-03 22:50:17 EST
Here's a patch that attempts to add star filesystem support. Which is fairly
important IMHO now that Fedora is using selinux (or anything that uses extended
attributes).

Star also seems very forgiving; allowing the same view/extract command to work
across native archives or those compressed with various programs.

However, I couldn't get #utar to work so had to write the little #ustar script;
which is dog slow. So I'm hearby requesting a new feature: can the #utar extfs
be made to extract from starchives that contain selinux security descriptors?
Comment 2 Jindrich Novy 2005-12-06 04:52:05 EST
Hello Curtis,

thanks for the patch. I sent it upstream to let it be discussed there directly:

http://mail.gnome.org/archives/mc-devel/2005-December/msg00013.html

Note You need to log in before you can comment on or make changes to this bug.